import * as $dara from '@darabonba/typescript';
export declare class DescribeIPv6TranslatorAclListAttributesResponseBodyAclEntriesAclEntry extends $dara.Model {
    aclEntryComment?: string;
    aclEntryId?: string;
    aclEntryIp?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeIPv6TranslatorAclListAttributesResponseBodyAclEntries extends $dara.Model {
    aclEntry?: DescribeIPv6TranslatorAclListAttributesResponseBodyAclEntriesAclEntry[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeIPv6TranslatorAclListAttributesResponseBody extends $dara.Model {
    aclEntries?: DescribeIPv6TranslatorAclListAttributesResponseBodyAclEntries;
    /**
     * @remarks
     * The ACL ID.
     *
     * @example
     * ipv6transacl-bp1de2****
     */
    aclId?: string;
    /**
     * @remarks
     * The name of the ACL.
     *
     * @example
     * acl1
     */
    aclName?: string;
    /**
     * @remarks
     * The page number of the returned page.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries returned per page.
     *
     * @example
     * 10
     */
    pageSize?: number;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 54B48E3D-DF70-471B-AA93-08E683A1B45
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of entries returned.
     *
     * @example
     * 20
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
